#include "rpg.h"

extern struct quest_list *root;

int add_quest(char *name, int id)
{
        struct quest_list *tmp, *current = root;
	
        if ((tmp = (struct quest_list *)malloc(sizeof(struct quest_list))) == NULL)
        {
                perror("malloc");
                exit(-1);
        }

	for (current; current != NULL; current = current->next)
		if (current->id == id)
			/* Already have this quest */	
			return PENDING_QUEST;
		
        strncpy(tmp->name, name, 255);
	tmp->id = id;
	tmp->status = 0; // incomplete
 	
        tmp->next = root;
        root = tmp;

        return ADDED_QUEST;
}

