#include "rpg.h"

extern int MP_REPLENISH_INCR;

/* Leveling System */
uint32_t
SetExp (int level, int enemy_hp, struct player_stats *stats)
{
	uint32_t exp = stats->exp;

	exp += 1 << enemy_hp;

	if (exp >= stats->NextLevel)
	{
		printf("level++, NextLevel = %d\n", stats->NextLevel);
		stats->level++;
		/* Amount needed to level up again */
		stats->NextLevel *= 2;
		stats->NextLevel *= stats->level;
		stats->max_hp += 5;
		stats->max_mp += 3;
		/* More MP will replenish */
		MP_REPLENISH_INCR++;
	}

	return exp;


}
