#include "rpg.h"

extern SDL_Surface *ParticleDot, *ParticleDotBlue, *ParticleDotRed;
extern struct Particles particle[30000];
extern SDL_Surface *ParticlePtr[3];
int alpha = SDL_ALPHA_TRANSPARENT;
extern SDL_Surface *screen;

void
init_particles (int x, int y, int count)
{
	int i, sign = 1;

	for (i = 0; i < count; i++)
	{
		if (count % 2)
			sign = 1;
		else
			sign = -1;

		particle[i].x = x + sign * rand () % 30;
		particle[i].y = y + sign * rand () % 60;
	}

}

void
DrawParticles (int count)
{
	int IncValue = 0, i, c = 0;
	ParticlePtr[0] = ParticleDot;
	ParticlePtr[1] = ParticleDotBlue;
	ParticlePtr[2] = ParticleDotRed;

	static uint8_t x = 0;
	static uint8_t y = 0;

	x++;
	y++;

	if (x == 100)
	{
		y = 0;
		x = 0;
	}
	//srand (SDL_GetTicks ());

	switch (rand () % 3)
	{
	case 0:
		c = 0;
		SDL_SetAlpha (ParticlePtr[0], SDL_SRCALPHA, alpha + rand () % 80);
		break;
	case 1:
		c = 1;
		SDL_SetAlpha (ParticlePtr[1], SDL_SRCALPHA, alpha + rand () % 80);
		break;
	case 2:
		c = 2;
		SDL_SetAlpha (ParticlePtr[2], SDL_SRCALPHA, alpha + rand () % 80);
		break;
	}

	for (i = 0; i < count; i++)
		drawSprite (ParticlePtr[c], screen, 0, 0, particle[i].x + x,
		  	    particle[i].y + y, 5, 5);
}
