#include <sys/socket.h>
#include <netinet/in.h>
#include <netdb.h>
#include <sys/select.h>
#include <fcntl.h>
#include <netinet/in_systm.h>
#include <netinet/ip.h>
#include <netinet/tcp.h>
#include <net/if.h>
#include <netinet/if_ether.h>
#include <arpa/inet.h>

#define GAME_PORT 618

#define SOCKREAD 1
#define SOCKWRITE 2

struct hero_coords
{
	int x, y;
};

struct game_packet
{
	struct hero_coords hero;
	int attacking;
	int direction;
	int image_index;
	int ActiveWorld;
	int ActiveEnemies;
	int InHouse;
};

int SendNet(int, struct game_packet *);
int RecvNet(int, struct game_packet *);
int HandleNetwork(int, struct game_packet *);
int send_data(int, char *);
int socket_status(int, suseconds_t);
char * recvbuf(int);		
int ip_connect(unsigned long, int);
int bind_connection(void);
