#include "rpg.h"

void
DisplayStats (TTF_Font * font, struct player_stats stats,
							SDL_Surface * screen)
{

	struct text_surface ts[5];
	int i;

	SDL_Color font_fg = { 0xff, 0xff, 0xff, 0x00 };
	//SDL_Color font_fg = {0x00, 0x00, 0x00, 0x00};
	char *buf[5];

	for (i = 0; i < 5; i++)
		buf[i] = (char *) malloc (255);

	sprintf (buf[0], "HP - %d", stats.hp);
	sprintf (buf[1], "MP - %d", stats.mp);
	sprintf (buf[2], "LV - %d", stats.level);
	sprintf (buf[3], "EX - %d", stats.exp);
	sprintf (buf[4], "GD - %d", stats.gold);

	ts[0].s = TTF_RenderText_Blended (font, buf[0], font_fg);
	ts[1].s = TTF_RenderText_Blended (font, buf[1], font_fg);
	ts[2].s = TTF_RenderText_Blended (font, buf[2], font_fg);
	ts[3].s = TTF_RenderText_Blended (font, buf[3], font_fg);
	ts[4].s = TTF_RenderText_Blended (font, buf[4], font_fg);

	drawSprite (ts[0].s, screen, 0, 0, 720, 5, 30, 30);
	drawSprite (ts[1].s, screen, 0, 0, 720, 20, 30, 30);
	drawSprite (ts[2].s, screen, 0, 0, 720, 35, 30, 30);
	drawSprite (ts[3].s, screen, 0, 0, 720, 50, 30, 30);
	drawSprite (ts[4].s, screen, 0, 0, 720, 65, 30, 30);

	for (i = 0; i < 5; i++)
		free (buf[i]);

	SDL_FreeSurface (ts[0].s);
	SDL_FreeSurface (ts[1].s);
	SDL_FreeSurface (ts[2].s);
	SDL_FreeSurface (ts[3].s);
	SDL_FreeSurface (ts[4].s);

}
